// Licensed to LinDB under one or more contributor
// license agreements. See the NOTICE file distributed with
// this work for additional information regarding copyright
// ownership. LinDB licenses this file to you under
// the Apache License, Version 2.0 (the "License"); you may
// not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing,
// software distributed under the License is distributed on an
// "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
// KIND, either express or implied.  See the License for the
// specific language governing permissions and limitations
// under the License.

// Code generated from java-escape by ANTLR 4.11.1. DO NOT EDIT.

package grammar

import (
	"fmt"
	"sync"
	"unicode"

	"github.com/antlr/antlr4/runtime/Go/antlr/v4"
)

// Suppress unused import error
var _ = fmt.Printf
var _ = sync.Once{}
var _ = unicode.IsLetter

type SQLLexer struct {
	*antlr.BaseLexer
	channelNames []string
	modeNames    []string
	// TODO: EOF string
}

var sqllexerLexerStaticData struct {
	once                   sync.Once
	serializedATN          []int32
	channelNames           []string
	modeNames              []string
	literalNames           []string
	symbolicNames          []string
	ruleNames              []string
	predictionContextCache *antlr.PredictionContextCache
	atn                    *antlr.ATN
	decisionToDFA          []*antlr.DFA
}

func sqllexerLexerInit() {
	staticData := &sqllexerLexerStaticData
	staticData.channelNames = []string{
		"DEFAULT_TOKEN_CHANNEL", "HIDDEN",
	}
	staticData.modeNames = []string{
		"DEFAULT_MODE",
	}
	staticData.literalNames = []string{
		"", "'true'", "'false'", "'null'", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "", "",
		"", "", "", "", "", "", "", "", "", "", "", "", "", "", "'m'", "", "",
		"", "'M'", "", "'.'", "':'", "'='", "'<>'", "'!='", "'>'", "'>='", "'<'",
		"'<='", "'=~'", "'!~'", "','", "'{'", "'}'", "'['", "']'", "'('", "')'",
		"'+'", "'-'", "'/'", "'*'", "'%'", "'_'",
	}
	staticData.symbolicNames = []string{
		"", "", "", "", "STRING", "WS", "T_CREATE", "T_UPDATE", "T_SET", "T_DROP",
		"T_INTERVAL", "T_INTERVAL_NAME", "T_SHARD", "T_REPLICATION", "T_MEMORY",
		"T_TTL", "T_META_TTL", "T_PAST_TTL", "T_FUTURE_TTL", "T_KILL", "T_ON",
		"T_SHOW", "T_USE", "T_STATE_REPO", "T_STATE_MACHINE", "T_MASTER", "T_METADATA",
		"T_TYPES", "T_TYPE", "T_STORAGES", "T_STORAGE", "T_BROKER", "T_ALIVE",
		"T_SCHEMAS", "T_DATASBAE", "T_DATASBAES", "T_NAMESPACE", "T_NAMESPACES",
		"T_NODE", "T_METRICS", "T_METRIC", "T_FIELD", "T_FIELDS", "T_TAG", "T_INFO",
		"T_KEYS", "T_KEY", "T_WITH", "T_VALUES", "T_VALUE", "T_FROM", "T_WHERE",
		"T_LIMIT", "T_QUERIES", "T_QUERY", "T_EXPLAIN", "T_WITH_VALUE", "T_SELECT",
		"T_AS", "T_AND", "T_OR", "T_FILL", "T_NULL", "T_PREVIOUS", "T_ORDER",
		"T_ASC", "T_DESC", "T_LIKE", "T_NOT", "T_BETWEEN", "T_IS", "T_GROUP",
		"T_HAVING", "T_BY", "T_FOR", "T_STATS", "T_TIME", "T_NOW", "T_IN", "T_LOG",
		"T_PROFILE", "T_REQUESTS", "T_REQUEST", "T_ID", "T_SUM", "T_MIN", "T_MAX",
		"T_COUNT", "T_LAST", "T_FIRST", "T_AVG", "T_STDDEV", "T_QUANTILE", "T_RATE",
		"T_SECOND", "T_MINUTE", "T_HOUR", "T_DAY", "T_WEEK", "T_MONTH", "T_YEAR",
		"T_DOT", "T_COLON", "T_EQUAL", "T_NOTEQUAL", "T_NOTEQUAL2", "T_GREATER",
		"T_GREATEREQUAL", "T_LESS", "T_LESSEQUAL", "T_REGEXP", "T_NEQREGEXP",
		"T_COMMA", "T_OPEN_B", "T_CLOSE_B", "T_OPEN_SB", "T_CLOSE_SB", "T_OPEN_P",
		"T_CLOSE_P", "T_ADD", "T_SUB", "T_DIV", "T_MUL", "T_MOD", "T_UNDERLINE",
		"L_ID", "L_INT", "L_DEC",
	}
	staticData.ruleNames = []string{
		"T__0", "T__1", "T__2", "STRING", "ESC", "UNICODE", "HEX", "SAFECODEPOINT",
		"EXP", "WS", "T_CREATE", "T_UPDATE", "T_SET", "T_DROP", "T_INTERVAL",
		"T_INTERVAL_NAME", "T_SHARD", "T_REPLICATION", "T_MEMORY", "T_TTL",
		"T_META_TTL", "T_PAST_TTL", "T_FUTURE_TTL", "T_KILL", "T_ON", "T_SHOW",
		"T_USE", "T_STATE_REPO", "T_STATE_MACHINE", "T_MASTER", "T_METADATA",
		"T_TYPES", "T_TYPE", "T_STORAGES", "T_STORAGE", "T_BROKER", "T_ALIVE",
		"T_SCHEMAS", "T_DATASBAE", "T_DATASBAES", "T_NAMESPACE", "T_NAMESPACES",
		"T_NODE", "T_METRICS", "T_METRIC", "T_FIELD", "T_FIELDS", "T_TAG", "T_INFO",
		"T_KEYS", "T_KEY", "T_WITH", "T_VALUES", "T_VALUE", "T_FROM", "T_WHERE",
		"T_LIMIT", "T_QUERIES", "T_QUERY", "T_EXPLAIN", "T_WITH_VALUE", "T_SELECT",
		"T_AS", "T_AND", "T_OR", "T_FILL", "T_NULL", "T_PREVIOUS", "T_ORDER",
		"T_ASC", "T_DESC", "T_LIKE", "T_NOT", "T_BETWEEN", "T_IS", "T_GROUP",
		"T_HAVING", "T_BY", "T_FOR", "T_STATS", "T_TIME", "T_NOW", "T_IN", "T_LOG",
		"T_PROFILE", "T_REQUESTS", "T_REQUEST", "T_ID", "T_SUM", "T_MIN", "T_MAX",
		"T_COUNT", "T_LAST", "T_FIRST", "T_AVG", "T_STDDEV", "T_QUANTILE", "T_RATE",
		"T_SECOND", "T_MINUTE", "T_HOUR", "T_DAY", "T_WEEK", "T_MONTH", "T_YEAR",
		"T_DOT", "T_COLON", "T_EQUAL", "T_NOTEQUAL", "T_NOTEQUAL2", "T_GREATER",
		"T_GREATEREQUAL", "T_LESS", "T_LESSEQUAL", "T_REGEXP", "T_NEQREGEXP",
		"T_COMMA", "T_OPEN_B", "T_CLOSE_B", "T_OPEN_SB", "T_CLOSE_SB", "T_OPEN_P",
		"T_CLOSE_P", "T_ADD", "T_SUB", "T_DIV", "T_MUL", "T_MOD", "T_UNDERLINE",
		"L_ID", "L_INT", "L_DEC", "BLANK", "L_DIGIT", "L_ID_PART", "A", "B",
		"C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P",
		"Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z",
	}
	staticData.predictionContextCache = antlr.NewPredictionContextCache()
	staticData.serializedATN = []int32{
		4, 0, 127, 1133, 6, -1, 2, 0, 7, 0, 2, 1, 7, 1, 2, 2, 7, 2, 2, 3, 7, 3,
		2, 4, 7, 4, 2, 5, 7, 5, 2, 6, 7, 6, 2, 7, 7, 7, 2, 8, 7, 8, 2, 9, 7, 9,
		2, 10, 7, 10, 2, 11, 7, 11, 2, 12, 7, 12, 2, 13, 7, 13, 2, 14, 7, 14, 2,
		15, 7, 15, 2, 16, 7, 16, 2, 17, 7, 17, 2, 18, 7, 18, 2, 19, 7, 19, 2, 20,
		7, 20, 2, 21, 7, 21, 2, 22, 7, 22, 2, 23, 7, 23, 2, 24, 7, 24, 2, 25, 7,
		25, 2, 26, 7, 26, 2, 27, 7, 27, 2, 28, 7, 28, 2, 29, 7, 29, 2, 30, 7, 30,
		2, 31, 7, 31, 2, 32, 7, 32, 2, 33, 7, 33, 2, 34, 7, 34, 2, 35, 7, 35, 2,
		36, 7, 36, 2, 37, 7, 37, 2, 38, 7, 38, 2, 39, 7, 39, 2, 40, 7, 40, 2, 41,
		7, 41, 2, 42, 7, 42, 2, 43, 7, 43, 2, 44, 7, 44, 2, 45, 7, 45, 2, 46, 7,
		46, 2, 47, 7, 47, 2, 48, 7, 48, 2, 49, 7, 49, 2, 50, 7, 50, 2, 51, 7, 51,
		2, 52, 7, 52, 2, 53, 7, 53, 2, 54, 7, 54, 2, 55, 7, 55, 2, 56, 7, 56, 2,
		57, 7, 57, 2, 58, 7, 58, 2, 59, 7, 59, 2, 60, 7, 60, 2, 61, 7, 61, 2, 62,
		7, 62, 2, 63, 7, 63, 2, 64, 7, 64, 2, 65, 7, 65, 2, 66, 7, 66, 2, 67, 7,
		67, 2, 68, 7, 68, 2, 69, 7, 69, 2, 70, 7, 70, 2, 71, 7, 71, 2, 72, 7, 72,
		2, 73, 7, 73, 2, 74, 7, 74, 2, 75, 7, 75, 2, 76, 7, 76, 2, 77, 7, 77, 2,
		78, 7, 78, 2, 79, 7, 79, 2, 80, 7, 80, 2, 81, 7, 81, 2, 82, 7, 82, 2, 83,
		7, 83, 2, 84, 7, 84, 2, 85, 7, 85, 2, 86, 7, 86, 2, 87, 7, 87, 2, 88, 7,
		88, 2, 89, 7, 89, 2, 90, 7, 90, 2, 91, 7, 91, 2, 92, 7, 92, 2, 93, 7, 93,
		2, 94, 7, 94, 2, 95, 7, 95, 2, 96, 7, 96, 2, 97, 7, 97, 2, 98, 7, 98, 2,
		99, 7, 99, 2, 100, 7, 100, 2, 101, 7, 101, 2, 102, 7, 102, 2, 103, 7, 103,
		2, 104, 7, 104, 2, 105, 7, 105, 2, 106, 7, 106, 2, 107, 7, 107, 2, 108,
		7, 108, 2, 109, 7, 109, 2, 110, 7, 110, 2, 111, 7, 111, 2, 112, 7, 112,
		2, 113, 7, 113, 2, 114, 7, 114, 2, 115, 7, 115, 2, 116, 7, 116, 2, 117,
		7, 117, 2, 118, 7, 118, 2, 119, 7, 119, 2, 120, 7, 120, 2, 121, 7, 121,
		2, 122, 7, 122, 2, 123, 7, 123, 2, 124, 7, 124, 2, 125, 7, 125, 2, 126,
		7, 126, 2, 127, 7, 127, 2, 128, 7, 128, 2, 129, 7, 129, 2, 130, 7, 130,
		2, 131, 7, 131, 2, 132, 7, 132, 2, 133, 7, 133, 2, 134, 7, 134, 2, 135,
		7, 135, 2, 136, 7, 136, 2, 137, 7, 137, 2, 138, 7, 138, 2, 139, 7, 139,
		2, 140, 7, 140, 2, 141, 7, 141, 2, 142, 7, 142, 2, 143, 7, 143, 2, 144,
		7, 144, 2, 145, 7, 145, 2, 146, 7, 146, 2, 147, 7, 147, 2, 148, 7, 148,
		2, 149, 7, 149, 2, 150, 7, 150, 2, 151, 7, 151, 2, 152, 7, 152, 2, 153,
		7, 153, 2, 154, 7, 154, 2, 155, 7, 155, 2, 156, 7, 156, 2, 157, 7, 157,
		2, 158, 7, 158, 2, 159, 7, 159, 2, 160, 7, 160, 1, 0, 1, 0, 1, 0, 1, 0,
		1, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 2, 1, 2, 1, 2, 1, 2, 1, 2,
		1, 3, 1, 3, 1, 3, 5, 3, 343, 8, 3, 10, 3, 12, 3, 346, 9, 3, 1, 3, 1, 3,
		1, 4, 1, 4, 1, 4, 3, 4, 353, 8, 4, 1, 5, 1, 5, 1, 5, 1, 5, 1, 5, 1, 5,
		1, 6, 1, 6, 1, 7, 1, 7, 1, 8, 1, 8, 3, 8, 367, 8, 8, 1, 8, 1, 8, 1, 9,
		4, 9, 372, 8, 9, 11, 9, 12, 9, 373, 1, 9, 1, 9, 1, 10, 1, 10, 1, 10, 1,
		10, 1, 10, 1, 10, 1, 10, 1, 11, 1, 11, 1, 11, 1, 11, 1, 11, 1, 11, 1, 11,
		1, 12, 1, 12, 1, 12, 1, 12, 1, 13, 1, 13, 1, 13, 1, 13, 1, 13, 1, 14, 1,
		14, 1, 14, 1, 14, 1, 14, 1, 14, 1, 14, 1, 14, 1, 14, 1, 15, 1, 15, 1, 15,
		1, 15, 1, 15, 1, 16, 1, 16, 1, 16, 1, 16, 1, 16, 1, 16, 1, 17, 1, 17, 1,
		17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 17, 1, 18,
		1, 18, 1, 18, 1, 18, 1, 18, 1, 18, 1, 18, 1, 19, 1, 19, 1, 19, 1, 19, 1,
		20, 1, 20, 1, 20, 1, 20, 1, 20, 1, 20, 1, 20, 1, 20, 1, 21, 1, 21, 1, 21,
		1, 21, 1, 21, 1, 21, 1, 21, 1, 21, 1, 22, 1, 22, 1, 22, 1, 22, 1, 22, 1,
		22, 1, 22, 1, 22, 1, 22, 1, 22, 1, 23, 1, 23, 1, 23, 1, 23, 1, 23, 1, 24,
		1, 24, 1, 24, 1, 25, 1, 25, 1, 25, 1, 25, 1, 25, 1, 26, 1, 26, 1, 26, 1,
		26, 1, 27, 1, 27, 1, 27, 1, 27, 1, 27, 1, 27, 1, 27, 1, 27, 1, 27, 1, 27,
		1, 27, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 28, 1,
		28, 1, 28, 1, 28, 1, 28, 1, 28, 1, 29, 1, 29, 1, 29, 1, 29, 1, 29, 1, 29,
		1, 29, 1, 30, 1, 30, 1, 30, 1, 30, 1, 30, 1, 30, 1, 30, 1, 30, 1, 30, 1,
		31, 1, 31, 1, 31, 1, 31, 1, 31, 1, 31, 1, 32, 1, 32, 1, 32, 1, 32, 1, 32,
		1, 33, 1, 33, 1, 33, 1, 33, 1, 33, 1, 33, 1, 33, 1, 33, 1, 33, 1, 34, 1,
		34, 1, 34, 1, 34, 1, 34, 1, 34, 1, 34, 1, 34, 1, 35, 1, 35, 1, 35, 1, 35,
		1, 35, 1, 35, 1, 35, 1, 36, 1, 36, 1, 36, 1, 36, 1, 36, 1, 36, 1, 37, 1,
		37, 1, 37, 1, 37, 1, 37, 1, 37, 1, 37, 1, 37, 1, 38, 1, 38, 1, 38, 1, 38,
		1, 38, 1, 38, 1, 38, 1, 38, 1, 38, 1, 39, 1, 39, 1, 39, 1, 39, 1, 39, 1,
		39, 1, 39, 1, 39, 1, 39, 1, 39, 1, 40, 1, 40, 1, 40, 1, 40, 1, 40, 1, 40,
		1, 40, 1, 40, 1, 40, 1, 40, 1, 41, 1, 41, 1, 41, 1, 41, 1, 41, 1, 41, 1,
		41, 1, 41, 1, 41, 1, 41, 1, 41, 1, 42, 1, 42, 1, 42, 1, 42, 1, 42, 1, 43,
		1, 43, 1, 43, 1, 43, 1, 43, 1, 43, 1, 43, 1, 43, 1, 44, 1, 44, 1, 44, 1,
		44, 1, 44, 1, 44, 1, 44, 1, 45, 1, 45, 1, 45, 1, 45, 1, 45, 1, 45, 1, 46,
		1, 46, 1, 46, 1, 46, 1, 46, 1, 46, 1, 46, 1, 47, 1, 47, 1, 47, 1, 47, 1,
		48, 1, 48, 1, 48, 1, 48, 1, 48, 1, 49, 1, 49, 1, 49, 1, 49, 1, 49, 1, 50,
		1, 50, 1, 50, 1, 50, 1, 51, 1, 51, 1, 51, 1, 51, 1, 51, 1, 52, 1, 52, 1,
		52, 1, 52, 1, 52, 1, 52, 1, 52, 1, 53, 1, 53, 1, 53, 1, 53, 1, 53, 1, 53,
		1, 54, 1, 54, 1, 54, 1, 54, 1, 54, 1, 55, 1, 55, 1, 55, 1, 55, 1, 55, 1,
		55, 1, 56, 1, 56, 1, 56, 1, 56, 1, 56, 1, 56, 1, 57, 1, 57, 1, 57, 1, 57,
		1, 57, 1, 57, 1, 57, 1, 57, 1, 58, 1, 58, 1, 58, 1, 58, 1, 58, 1, 58, 1,
		59, 1, 59, 1, 59, 1, 59, 1, 59, 1, 59, 1, 59, 1, 59, 1, 60, 1, 60, 1, 60,
		1, 60, 1, 60, 1, 60, 1, 60, 1, 60, 1, 60, 1, 60, 1, 61, 1, 61, 1, 61, 1,
		61, 1, 61, 1, 61, 1, 61, 1, 62, 1, 62, 1, 62, 1, 63, 1, 63, 1, 63, 1, 63,
		1, 64, 1, 64, 1, 64, 1, 65, 1, 65, 1, 65, 1, 65, 1, 65, 1, 66, 1, 66, 1,
		66, 1, 66, 1, 66, 1, 67, 1, 67, 1, 67, 1, 67, 1, 67, 1, 67, 1, 67, 1, 67,
		1, 67, 1, 68, 1, 68, 1, 68, 1, 68, 1, 68, 1, 68, 1, 69, 1, 69, 1, 69, 1,
		69, 1, 70, 1, 70, 1, 70, 1, 70, 1, 70, 1, 71, 1, 71, 1, 71, 1, 71, 1, 71,
		1, 72, 1, 72, 1, 72, 1, 72, 1, 73, 1, 73, 1, 73, 1, 73, 1, 73, 1, 73, 1,
		73, 1, 73, 1, 74, 1, 74, 1, 74, 1, 75, 1, 75, 1, 75, 1, 75, 1, 75, 1, 75,
		1, 76, 1, 76, 1, 76, 1, 76, 1, 76, 1, 76, 1, 76, 1, 77, 1, 77, 1, 77, 1,
		78, 1, 78, 1, 78, 1, 78, 1, 79, 1, 79, 1, 79, 1, 79, 1, 79, 1, 79, 1, 80,
		1, 80, 1, 80, 1, 80, 1, 80, 1, 81, 1, 81, 1, 81, 1, 81, 1, 82, 1, 82, 1,
		82, 1, 83, 1, 83, 1, 83, 1, 83, 1, 84, 1, 84, 1, 84, 1, 84, 1, 84, 1, 84,
		1, 84, 1, 84, 1, 85, 1, 85, 1, 85, 1, 85, 1, 85, 1, 85, 1, 85, 1, 85, 1,
		85, 1, 86, 1, 86, 1, 86, 1, 86, 1, 86, 1, 86, 1, 86, 1, 86, 1, 87, 1, 87,
		1, 87, 1, 88, 1, 88, 1, 88, 1, 88, 1, 89, 1, 89, 1, 89, 1, 89, 1, 90, 1,
		90, 1, 90, 1, 90, 1, 91, 1, 91, 1, 91, 1, 91, 1, 91, 1, 91, 1, 92, 1, 92,
		1, 92, 1, 92, 1, 92, 1, 93, 1, 93, 1, 93, 1, 93, 1, 93, 1, 93, 1, 94, 1,
		94, 1, 94, 1, 94, 1, 95, 1, 95, 1, 95, 1, 95, 1, 95, 1, 95, 1, 95, 1, 96,
		1, 96, 1, 96, 1, 96, 1, 96, 1, 96, 1, 96, 1, 96, 1, 96, 1, 97, 1, 97, 1,
		97, 1, 97, 1, 97, 1, 98, 1, 98, 1, 99, 1, 99, 1, 100, 1, 100, 1, 101, 1,
		101, 1, 102, 1, 102, 1, 103, 1, 103, 1, 104, 1, 104, 1, 105, 1, 105, 1,
		106, 1, 106, 1, 107, 1, 107, 1, 108, 1, 108, 1, 108, 1, 109, 1, 109, 1,
		109, 1, 110, 1, 110, 1, 111, 1, 111, 1, 111, 1, 112, 1, 112, 1, 113, 1,
		113, 1, 113, 1, 114, 1, 114, 1, 114, 1, 115, 1, 115, 1, 115, 1, 116, 1,
		116, 1, 117, 1, 117, 1, 118, 1, 118, 1, 119, 1, 119, 1, 120, 1, 120, 1,
		121, 1, 121, 1, 122, 1, 122, 1, 123, 1, 123, 1, 124, 1, 124, 1, 125, 1,
		125, 1, 126, 1, 126, 1, 127, 1, 127, 1, 128, 1, 128, 1, 129, 1, 129, 1,
		130, 4, 130, 1001, 8, 130, 11, 130, 12, 130, 1002, 1, 131, 4, 131, 1006,
		8, 131, 11, 131, 12, 131, 1007, 1, 131, 1, 131, 1, 131, 5, 131, 1013, 8,
		131, 10, 131, 12, 131, 1016, 9, 131, 1, 131, 1, 131, 4, 131, 1020, 8, 131,
		11, 131, 12, 131, 1021, 3, 131, 1024, 8, 131, 1, 132, 1, 132, 1, 133, 1,
		133, 1, 134, 1, 134, 1, 134, 1, 134, 5, 134, 1034, 8, 134, 10, 134, 12,
		134, 1037, 9, 134, 1, 134, 1, 134, 1, 134, 5, 134, 1042, 8, 134, 10, 134,
		12, 134, 1045, 9, 134, 1, 134, 1, 134, 1, 134, 1, 134, 1, 134, 4, 134,
		1052, 8, 134, 11, 134, 12, 134, 1053, 1, 134, 1, 134, 5, 134, 1058, 8,
		134, 10, 134, 12, 134, 1061, 9, 134, 1, 134, 1, 134, 1, 134, 5, 134, 1066,
		8, 134, 10, 134, 12, 134, 1069, 9, 134, 1, 134, 1, 134, 1, 134, 5, 134,
		1074, 8, 134, 10, 134, 12, 134, 1077, 9, 134, 1, 134, 3, 134, 1080, 8,
		134, 1, 135, 1, 135, 1, 136, 1, 136, 1, 137, 1, 137, 1, 138, 1, 138, 1,
		139, 1, 139, 1, 140, 1, 140, 1, 141, 1, 141, 1, 142, 1, 142, 1, 143, 1,
		143, 1, 144, 1, 144, 1, 145, 1, 145, 1, 146, 1, 146, 1, 147, 1, 147, 1,
		148, 1, 148, 1, 149, 1, 149, 1, 150, 1, 150, 1, 151, 1, 151, 1, 152, 1,
		152, 1, 153, 1, 153, 1, 154, 1, 154, 1, 155, 1, 155, 1, 156, 1, 156, 1,
		157, 1, 157, 1, 158, 1, 158, 1, 159, 1, 159, 1, 160, 1, 160, 4, 1043, 1059,
		1067, 1075, 0, 161, 1, 1, 3, 2, 5, 3, 7, 4, 9, 0, 11, 0, 13, 0, 15, 0,
		17, 0, 19, 5, 21, 6, 23, 7, 25, 8, 27, 9, 29, 10, 31, 11, 33, 12, 35, 13,
		37, 14, 39, 15, 41, 16, 43, 17, 45, 18, 47, 19, 49, 20, 51, 21, 53, 22,
		55, 23, 57, 24, 59, 25, 61, 26, 63, 27, 65, 28, 67, 29, 69, 30, 71, 31,
		73, 32, 75, 33, 77, 34, 79, 35, 81, 36, 83, 37, 85, 38, 87, 39, 89, 40,
		91, 41, 93, 42, 95, 43, 97, 44, 99, 45, 101, 46, 103, 47, 105, 48, 107,
		49, 109, 50, 111, 51, 113, 52, 115, 53, 117, 54, 119, 55, 121, 56, 123,
		57, 125, 58, 127, 59, 129, 60, 131, 61, 133, 62, 135, 63, 137, 64, 139,
		65, 141, 66, 143, 67, 145, 68, 147, 69, 149, 70, 151, 71, 153, 72, 155,
		73, 157, 74, 159, 75, 161, 76, 163, 77, 165, 78, 167, 79, 169, 80, 171,
		81, 173, 82, 175, 83, 177, 84, 179, 85, 181, 86, 183, 87, 185, 88, 187,
		89, 189, 90, 191, 91, 193, 92, 195, 93, 197, 94, 199, 95, 201, 96, 203,
		97, 205, 98, 207, 99, 209, 100, 211, 101, 213, 102, 215, 103, 217, 104,
		219, 105, 221, 106, 223, 107, 225, 108, 227, 109, 229, 110, 231, 111, 233,
		112, 235, 113, 237, 114, 239, 115, 241, 116, 243, 117, 245, 118, 247, 119,
		249, 120, 251, 121, 253, 122, 255, 123, 257, 124, 259, 125, 261, 126, 263,
		127, 265, 0, 267, 0, 269, 0, 271, 0, 273, 0, 275, 0, 277, 0, 279, 0, 281,
		0, 283, 0, 285, 0, 287, 0, 289, 0, 291, 0, 293, 0, 295, 0, 297, 0, 299,
		0, 301, 0, 303, 0, 305, 0, 307, 0, 309, 0, 311, 0, 313, 0, 315, 0, 317,
		0, 319, 0, 321, 0, 1, 0, 37, 8, 0, 34, 34, 47, 47, 92, 92, 98, 98, 102,
		102, 110, 110, 114, 114, 116, 116, 3, 0, 48, 57, 65, 70, 97, 102, 3, 0,
		0, 31, 34, 34, 92, 92, 2, 0, 69, 69, 101, 101, 2, 0, 43, 43, 45, 45, 3,
		0, 9, 10, 13, 13, 32, 32, 1, 0, 46, 46, 1, 0, 48, 57, 2, 0, 65, 90, 97,
		122, 2, 0, 46, 46, 95, 95, 3, 0, 35, 36, 64, 64, 95, 95, 4, 0, 35, 36,
		58, 58, 64, 64, 95, 95, 2, 0, 65, 65, 97, 97, 2, 0, 66, 66, 98, 98, 2,
		0, 67, 67, 99, 99, 2, 0, 68, 68, 100, 100, 2, 0, 70, 70, 102, 102, 2, 0,
		71, 71, 103, 103, 2, 0, 72, 72, 104, 104, 2, 0, 73, 73, 105, 105, 2, 0,
		74, 74, 106, 106, 2, 0, 75, 75, 107, 107, 2, 0, 76, 76, 108, 108, 2, 0,
		77, 77, 109, 109, 2, 0, 78, 78, 110, 110, 2, 0, 79, 79, 111, 111, 2, 0,
		80, 80, 112, 112, 2, 0, 81, 81, 113, 113, 2, 0, 82, 82, 114, 114, 2, 0,
		83, 83, 115, 115, 2, 0, 84, 84, 116, 116, 2, 0, 85, 85, 117, 117, 2, 0,
		86, 86, 118, 118, 2, 0, 87, 87, 119, 119, 2, 0, 88, 88, 120, 120, 2, 0,
		89, 89, 121, 121, 2, 0, 90, 90, 122, 122, 1123, 0, 1, 1, 0, 0, 0, 0, 3,
		1, 0, 0, 0, 0, 5, 1, 0, 0, 0, 0, 7, 1, 0, 0, 0, 0, 19, 1, 0, 0, 0, 0, 21,
		1, 0, 0, 0, 0, 23, 1, 0, 0, 0, 0, 25, 1, 0, 0, 0, 0, 27, 1, 0, 0, 0, 0,
		29, 1, 0, 0, 0, 0, 31, 1, 0, 0, 0, 0, 33, 1, 0, 0, 0, 0, 35, 1, 0, 0, 0,
		0, 37, 1, 0, 0, 0, 0, 39, 1, 0, 0, 0, 0, 41, 1, 0, 0, 0, 0, 43, 1, 0, 0,
		0, 0, 45, 1, 0, 0, 0, 0, 47, 1, 0, 0, 0, 0, 49, 1, 0, 0, 0, 0, 51, 1, 0,
		0, 0, 0, 53, 1, 0, 0, 0, 0, 55, 1, 0, 0, 0, 0, 57, 1, 0, 0, 0, 0, 59, 1,
		0, 0, 0, 0, 61, 1, 0, 0, 0, 0, 63, 1, 0, 0, 0, 0, 65, 1, 0, 0, 0, 0, 67,
		1, 0, 0, 0, 0, 69, 1, 0, 0, 0, 0, 71, 1, 0, 0, 0, 0, 73, 1, 0, 0, 0, 0,
		75, 1, 0, 0, 0, 0, 77, 1, 0, 0, 0, 0, 79, 1, 0, 0, 0, 0, 81, 1, 0, 0, 0,
		0, 83, 1, 0, 0, 0, 0, 85, 1, 0, 0, 0, 0, 87, 1, 0, 0, 0, 0, 89, 1, 0, 0,
		0, 0, 91, 1, 0, 0, 0, 0, 93, 1, 0, 0, 0, 0, 95, 1, 0, 0, 0, 0, 97, 1, 0,
		0, 0, 0, 99, 1, 0, 0, 0, 0, 101, 1, 0, 0, 0, 0, 103, 1, 0, 0, 0, 0, 105,
		1, 0, 0, 0, 0, 107, 1, 0, 0, 0, 0, 109, 1, 0, 0, 0, 0, 111, 1, 0, 0, 0,
		0, 113, 1, 0, 0, 0, 0, 115, 1, 0, 0, 0, 0, 117, 1, 0, 0, 0, 0, 119, 1,
		0, 0, 0, 0, 121, 1, 0, 0, 0, 0, 123, 1, 0, 0, 0, 0, 125, 1, 0, 0, 0, 0,
		127, 1, 0, 0, 0, 0, 129, 1, 0, 0, 0, 0, 131, 1, 0, 0, 0, 0, 133, 1, 0,
		0, 0, 0, 135, 1, 0, 0, 0, 0, 137, 1, 0, 0, 0, 0, 139, 1, 0, 0, 0, 0, 141,
		1, 0, 0, 0, 0, 143, 1, 0, 0, 0, 0, 145, 1, 0, 0, 0, 0, 147, 1, 0, 0, 0,
		0, 149, 1, 0, 0, 0, 0, 151, 1, 0, 0, 0, 0, 153, 1, 0, 0, 0, 0, 155, 1,
		0, 0, 0, 0, 157, 1, 0, 0, 0, 0, 159, 1, 0, 0, 0, 0, 161, 1, 0, 0, 0, 0,
		163, 1, 0, 0, 0, 0, 165, 1, 0, 0, 0, 0, 167, 1, 0, 0, 0, 0, 169, 1, 0,
		0, 0, 0, 171, 1, 0, 0, 0, 0, 173, 1, 0, 0, 0, 0, 175, 1, 0, 0, 0, 0, 177,
		1, 0, 0, 0, 0, 179, 1, 0, 0, 0, 0, 181, 1, 0, 0, 0, 0, 183, 1, 0, 0, 0,
		0, 185, 1, 0, 0, 0, 0, 187, 1, 0, 0, 0, 0, 189, 1, 0, 0, 0, 0, 191, 1,
		0, 0, 0, 0, 193, 1, 0, 0, 0, 0, 195, 1, 0, 0, 0, 0, 197, 1, 0, 0, 0, 0,
		199, 1, 0, 0, 0, 0, 201, 1, 0, 0, 0, 0, 203, 1, 0, 0, 0, 0, 205, 1, 0,
		0, 0, 0, 207, 1, 0, 0, 0, 0, 209, 1, 0, 0, 0, 0, 211, 1, 0, 0, 0, 0, 213,
		1, 0, 0, 0, 0, 215, 1, 0, 0, 0, 0, 217, 1, 0, 0, 0, 0, 219, 1, 0, 0, 0,
		0, 221, 1, 0, 0, 0, 0, 223, 1, 0, 0, 0, 0, 225, 1, 0, 0, 0, 0, 227, 1,
		0, 0, 0, 0, 229, 1, 0, 0, 0, 0, 231, 1, 0, 0, 0, 0, 233, 1, 0, 0, 0, 0,
		235, 1, 0, 0, 0, 0, 237, 1, 0, 0, 0, 0, 239, 1, 0, 0, 0, 0, 241, 1, 0,
		0, 0, 0, 243, 1, 0, 0, 0, 0, 245, 1, 0, 0, 0, 0, 247, 1, 0, 0, 0, 0, 249,
		1, 0, 0, 0, 0, 251, 1, 0, 0, 0, 0, 253, 1, 0, 0, 0, 0, 255, 1, 0, 0, 0,
		0, 257, 1, 0, 0, 0, 0, 259, 1, 0, 0, 0, 0, 261, 1, 0, 0, 0, 0, 263, 1,
		0, 0, 0, 1, 323, 1, 0, 0, 0, 3, 328, 1, 0, 0, 0, 5, 334, 1, 0, 0, 0, 7,
		339, 1, 0, 0, 0, 9, 349, 1, 0, 0, 0, 11, 354, 1, 0, 0, 0, 13, 360, 1, 0,
		0, 0, 15, 362, 1, 0, 0, 0, 17, 364, 1, 0, 0, 0, 19, 371, 1, 0, 0, 0, 21,
		377, 1, 0, 0, 0, 23, 384, 1, 0, 0, 0, 25, 391, 1, 0, 0, 0, 27, 395, 1,
		0, 0, 0, 29, 400, 1, 0, 0, 0, 31, 409, 1, 0, 0, 0, 33, 414, 1, 0, 0, 0,
		35, 420, 1, 0, 0, 0, 37, 432, 1, 0, 0, 0, 39, 439, 1, 0, 0, 0, 41, 443,
		1, 0, 0, 0, 43, 451, 1, 0, 0, 0, 45, 459, 1, 0, 0, 0, 47, 469, 1, 0, 0,
		0, 49, 474, 1, 0, 0, 0, 51, 477, 1, 0, 0, 0, 53, 482, 1, 0, 0, 0, 55, 486,
		1, 0, 0, 0, 57, 497, 1, 0, 0, 0, 59, 511, 1, 0, 0, 0, 61, 518, 1, 0, 0,
		0, 63, 527, 1, 0, 0, 0, 65, 533, 1, 0, 0, 0, 67, 538, 1, 0, 0, 0, 69, 547,
		1, 0, 0, 0, 71, 555, 1, 0, 0, 0, 73, 562, 1, 0, 0, 0, 75, 568, 1, 0, 0,
		0, 77, 576, 1, 0, 0, 0, 79, 585, 1, 0, 0, 0, 81, 595, 1, 0, 0, 0, 83, 605,
		1, 0, 0, 0, 85, 616, 1, 0, 0, 0, 87, 621, 1, 0, 0, 0, 89, 629, 1, 0, 0,
		0, 91, 636, 1, 0, 0, 0, 93, 642, 1, 0, 0, 0, 95, 649, 1, 0, 0, 0, 97, 653,
		1, 0, 0, 0, 99, 658, 1, 0, 0, 0, 101, 663, 1, 0, 0, 0, 103, 667, 1, 0,
		0, 0, 105, 672, 1, 0, 0, 0, 107, 679, 1, 0, 0, 0, 109, 685, 1, 0, 0, 0,
		111, 690, 1, 0, 0, 0, 113, 696, 1, 0, 0, 0, 115, 702, 1, 0, 0, 0, 117,
		710, 1, 0, 0, 0, 119, 716, 1, 0, 0, 0, 121, 724, 1, 0, 0, 0, 123, 734,
		1, 0, 0, 0, 125, 741, 1, 0, 0, 0, 127, 744, 1, 0, 0, 0, 129, 748, 1, 0,
		0, 0, 131, 751, 1, 0, 0, 0, 133, 756, 1, 0, 0, 0, 135, 761, 1, 0, 0, 0,
		137, 770, 1, 0, 0, 0, 139, 776, 1, 0, 0, 0, 141, 780, 1, 0, 0, 0, 143,
		785, 1, 0, 0, 0, 145, 790, 1, 0, 0, 0, 147, 794, 1, 0, 0, 0, 149, 802,
		1, 0, 0, 0, 151, 805, 1, 0, 0, 0, 153, 811, 1, 0, 0, 0, 155, 818, 1, 0,
		0, 0, 157, 821, 1, 0, 0, 0, 159, 825, 1, 0, 0, 0, 161, 831, 1, 0, 0, 0,
		163, 836, 1, 0, 0, 0, 165, 840, 1, 0, 0, 0, 167, 843, 1, 0, 0, 0, 169,
		847, 1, 0, 0, 0, 171, 855, 1, 0, 0, 0, 173, 864, 1, 0, 0, 0, 175, 872,
		1, 0, 0, 0, 177, 875, 1, 0, 0, 0, 179, 879, 1, 0, 0, 0, 181, 883, 1, 0,
		0, 0, 183, 887, 1, 0, 0, 0, 185, 893, 1, 0, 0, 0, 187, 898, 1, 0, 0, 0,
		189, 904, 1, 0, 0, 0, 191, 908, 1, 0, 0, 0, 193, 915, 1, 0, 0, 0, 195,
		924, 1, 0, 0, 0, 197, 929, 1, 0, 0, 0, 199, 931, 1, 0, 0, 0, 201, 933,
		1, 0, 0, 0, 203, 935, 1, 0, 0, 0, 205, 937, 1, 0, 0, 0, 207, 939, 1, 0,
		0, 0, 209, 941, 1, 0, 0, 0, 211, 943, 1, 0, 0, 0, 213, 945, 1, 0, 0, 0,
		215, 947, 1, 0, 0, 0, 217, 949, 1, 0, 0, 0, 219, 952, 1, 0, 0, 0, 221,
		955, 1, 0, 0, 0, 223, 957, 1, 0, 0, 0, 225, 960, 1, 0, 0, 0, 227, 962,
		1, 0, 0, 0, 229, 965, 1, 0, 0, 0, 231, 968, 1, 0, 0, 0, 233, 971, 1, 0,
		0, 0, 235, 973, 1, 0, 0, 0, 237, 975, 1, 0, 0, 0, 239, 977, 1, 0, 0, 0,
		241, 979, 1, 0, 0, 0, 243, 981, 1, 0, 0, 0, 245, 983, 1, 0, 0, 0, 247,
		985, 1, 0, 0, 0, 249, 987, 1, 0, 0, 0, 251, 989, 1, 0, 0, 0, 253, 991,
		1, 0, 0, 0, 255, 993, 1, 0, 0, 0, 257, 995, 1, 0, 0, 0, 259, 997, 1, 0,
		0, 0, 261, 1000, 1, 0, 0, 0, 263, 1023, 1, 0, 0, 0, 265, 1025, 1, 0, 0,
		0, 267, 1027, 1, 0, 0, 0, 269, 1079, 1, 0, 0, 0, 271, 1081, 1, 0, 0, 0,
		273, 1083, 1, 0, 0, 0, 275, 1085, 1, 0, 0, 0, 277, 1087, 1, 0, 0, 0, 279,
		1089, 1, 0, 0, 0, 281, 1091, 1, 0, 0, 0, 283, 1093, 1, 0, 0, 0, 285, 1095,
		1, 0, 0, 0, 287, 1097, 1, 0, 0, 0, 289, 1099, 1, 0, 0, 0, 291, 1101, 1,
		0, 0, 0, 293, 1103, 1, 0, 0, 0, 295, 1105, 1, 0, 0, 0, 297, 1107, 1, 0,
		0, 0, 299, 1109, 1, 0, 0, 0, 301, 1111, 1, 0, 0, 0, 303, 1113, 1, 0, 0,
		0, 305, 1115, 1, 0, 0, 0, 307, 1117, 1, 0, 0, 0, 309, 1119, 1, 0, 0, 0,
		311, 1121, 1, 0, 0, 0, 313, 1123, 1, 0, 0, 0, 315, 1125, 1, 0, 0, 0, 317,
		1127, 1, 0, 0, 0, 319, 1129, 1, 0, 0, 0, 321, 1131, 1, 0, 0, 0, 323, 324,
		5, 116, 0, 0, 324, 325, 5, 114, 0, 0, 325, 326, 5, 117, 0, 0, 326, 327,
		5, 101, 0, 0, 327, 2, 1, 0, 0, 0, 328, 329, 5, 102, 0, 0, 329, 330, 5,
		97, 0, 0, 330, 331, 5, 108, 0, 0, 331, 332, 5, 115, 0, 0, 332, 333, 5,
		101, 0, 0, 333, 4, 1, 0, 0, 0, 334, 335, 5, 110, 0, 0, 335, 336, 5, 117,
		0, 0, 336, 337, 5, 108, 0, 0, 337, 338, 5, 108, 0, 0, 338, 6, 1, 0, 0,
		0, 339, 344, 5, 34, 0, 0, 340, 343, 3, 9, 4, 0, 341, 343, 3, 15, 7, 0,
		342, 340, 1, 0, 0, 0, 342, 341, 1, 0, 0, 0, 343, 346, 1, 0, 0, 0, 344,
		342, 1, 0, 0, 0, 344, 345, 1, 0, 0, 0, 345, 347, 1, 0, 0, 0, 346, 344,
		1, 0, 0, 0, 347, 348, 5, 34, 0, 0, 348, 8, 1, 0, 0, 0, 349, 352, 5, 92,
		0, 0, 350, 353, 7, 0, 0, 0, 351, 353, 3, 11, 5, 0, 352, 350, 1, 0, 0, 0,
		352, 351, 1, 0, 0, 0, 353, 10, 1, 0, 0, 0, 354, 355, 5, 117, 0, 0, 355,
		356, 3, 13, 6, 0, 356, 357, 3, 13, 6, 0, 357, 358, 3, 13, 6, 0, 358, 359,
		3, 13, 6, 0, 359, 12, 1, 0, 0, 0, 360, 361, 7, 1, 0, 0, 361, 14, 1, 0,
		0, 0, 362, 363, 8, 2, 0, 0, 363, 16, 1, 0, 0, 0, 364, 366, 7, 3, 0, 0,
		365, 367, 7, 4, 0, 0, 366, 365, 1, 0, 0, 0, 366, 367, 1, 0, 0, 0, 367,
		368, 1, 0, 0, 0, 368, 369, 3, 261, 130, 0, 369, 18, 1, 0, 0, 0, 370, 372,
		7, 5, 0, 0, 371, 370, 1, 0, 0, 0, 372, 373, 1, 0, 0, 0, 373, 371, 1, 0,
		0, 0, 373, 374, 1, 0, 0, 0, 374, 375, 1, 0, 0, 0, 375, 376, 6, 9, 0, 0,
		376, 20, 1, 0, 0, 0, 377, 378, 3, 275, 137, 0, 378, 379, 3, 305, 152, 0,
		379, 380, 3, 279, 139, 0, 380, 381, 3, 271, 135, 0, 381, 382, 3, 309, 154,
		0, 382, 383, 3, 279, 139, 0, 383, 22, 1, 0, 0, 0, 384, 385, 3, 311, 155,
		0, 385, 386, 3, 301, 150, 0, 386, 387, 3, 277, 138, 0, 387, 388, 3, 271,
		135, 0, 388, 389, 3, 309, 154, 0, 389, 390, 3, 279, 139, 0, 390, 24, 1,
		0, 0, 0, 391, 392, 3, 307, 153, 0, 392, 393, 3, 279, 139, 0, 393, 394,
		3, 309, 154, 0, 394, 26, 1, 0, 0, 0, 395, 396, 3, 277, 138, 0, 396, 397,
		3, 305, 152, 0, 397, 398, 3, 299, 149, 0, 398, 399, 3, 301, 150, 0, 399,
		28, 1, 0, 0, 0, 400, 401, 3, 287, 143, 0, 401, 402, 3, 297, 148, 0, 402,
		403, 3, 309, 154, 0, 403, 404, 3, 279, 139, 0, 404, 405, 3, 305, 152, 0,
		405, 406, 3, 313, 156, 0, 406, 407, 3, 271, 135, 0, 407, 408, 3, 293, 146,
		0, 408, 30, 1, 0, 0, 0, 409, 410, 3, 297, 148, 0, 410, 411, 3, 271, 135,
		0, 411, 412, 3, 295, 147, 0, 412, 413, 3, 279, 139, 0, 413, 32, 1, 0, 0,
		0, 414, 415, 3, 307, 153, 0, 415, 416, 3, 285, 142, 0, 416, 417, 3, 271,
		135, 0, 417, 418, 3, 305, 152, 0, 418, 419, 3, 277, 138, 0, 419, 34, 1,
		0, 0, 0, 420, 421, 3, 305, 152, 0, 421, 422, 3, 279, 139, 0, 422, 423,
		3, 301, 150, 0, 423, 424, 3, 293, 146, 0, 424, 425, 3, 287, 143, 0, 425,
		426, 3, 275, 137, 0, 426, 427, 3, 271, 135, 0, 427, 428, 3, 309, 154, 0,
		428, 429, 3, 287, 143, 0, 429, 430, 3, 299, 149, 0, 430, 431, 3, 297, 148,
		0, 431, 36, 1, 0, 0, 0, 432, 433, 3, 295, 147, 0, 433, 434, 3, 279, 139,
		0, 434, 435, 3, 295, 147, 0, 435, 436, 3, 299, 149, 0, 436, 437, 3, 305,
		152, 0, 437, 438, 3, 319, 159, 0, 438, 38, 1, 0, 0, 0, 439, 440, 3, 309,
		154, 0, 440, 441, 3, 309, 154, 0, 441, 442, 3, 293, 146, 0, 442, 40, 1,
		0, 0, 0, 443, 444, 3, 295, 147, 0, 444, 445, 3, 279, 139, 0, 445, 446,
		3, 309, 154, 0, 446, 447, 3, 271, 135, 0, 447, 448, 3, 309, 154, 0, 448,
		449, 3, 309, 154, 0, 449, 450, 3, 293, 146, 0, 450, 42, 1, 0, 0, 0, 451,
		452, 3, 301, 150, 0, 452, 453, 3, 271, 135, 0, 453, 454, 3, 307, 153, 0,
		454, 455, 3, 309, 154, 0, 455, 456, 3, 309, 154, 0, 456, 457, 3, 309, 154,
		0, 457, 458, 3, 293, 146, 0, 458, 44, 1, 0, 0, 0, 459, 460, 3, 281, 140,
		0, 460, 461, 3, 311, 155, 0, 461, 462, 3, 309, 154, 0, 462, 463, 3, 311,
		155, 0, 463, 464, 3, 305, 152, 0, 464, 465, 3, 279, 139, 0, 465, 466, 3,
		309, 154, 0, 466, 467, 3, 309, 154, 0, 467, 468, 3, 293, 146, 0, 468, 46,
		1, 0, 0, 0, 469, 470, 3, 291, 145, 0, 470, 471, 3, 287, 143, 0, 471, 472,
		3, 293, 146, 0, 472, 473, 3, 293, 146, 0, 473, 48, 1, 0, 0, 0, 474, 475,
		3, 299, 149, 0, 475, 476, 3, 297, 148, 0, 476, 50, 1, 0, 0, 0, 477, 478,
		3, 307, 153, 0, 478, 479, 3, 285, 142, 0, 479, 480, 3, 299, 149, 0, 480,
		481, 3, 315, 157, 0, 481, 52, 1, 0, 0, 0, 482, 483, 3, 311, 155, 0, 483,
		484, 3, 307, 153, 0, 484, 485, 3, 279, 139, 0, 485, 54, 1, 0, 0, 0, 486,
		487, 3, 307, 153, 0, 487, 488, 3, 309, 154, 0, 488, 489, 3, 271, 135, 0,
		489, 490, 3, 309, 154, 0, 490, 491, 3, 279, 139, 0, 491, 492, 3, 257, 128,
		0, 492, 493, 3, 305, 152, 0, 493, 494, 3, 279, 139, 0, 494, 495, 3, 301,
		150, 0, 495, 496, 3, 299, 149, 0, 496, 56, 1, 0, 0, 0, 497, 498, 3, 307,
		153, 0, 498, 499, 3, 309, 154, 0, 499, 500, 3, 271, 135, 0, 500, 501, 3,
		309, 154, 0, 501, 502, 3, 279, 139, 0, 502, 503, 3, 257, 128, 0, 503, 504,
		3, 295, 147, 0, 504, 505, 3, 271, 135, 0, 505, 506, 3, 275, 137, 0, 506,
		507, 3, 285, 142, 0, 507, 508, 3, 287, 143, 0, 508, 509, 3, 297, 148, 0,
		509, 510, 3, 279, 139, 0, 510, 58, 1, 0, 0, 0, 511, 512, 3, 295, 147, 0,
		512, 513, 3, 271, 135, 0, 513, 514, 3, 307, 153, 0, 514, 515, 3, 309, 154,
		0, 515, 516, 3, 279, 139, 0, 516, 517, 3, 305, 152, 0, 517, 60, 1, 0, 0,
		0, 518, 519, 3, 295, 147, 0, 519, 520, 3, 279, 139, 0, 520, 521, 3, 309,
		154, 0, 521, 522, 3, 271, 135, 0, 522, 523, 3, 277, 138, 0, 523, 524, 3,
		271, 135, 0, 524, 525, 3, 309, 154, 0, 525, 526, 3, 271, 135, 0, 526, 62,
		1, 0, 0, 0, 527, 528, 3, 309, 154, 0, 528, 529, 3, 319, 159, 0, 529, 530,
		3, 301, 150, 0, 530, 531, 3, 279, 139, 0, 531, 532, 3, 307, 153, 0, 532,
		64, 1, 0, 0, 0, 533, 534, 3, 309, 154, 0, 534, 535, 3, 319, 159, 0, 535,
		536, 3, 301, 150, 0, 536, 537, 3, 279, 139, 0, 537, 66, 1, 0, 0, 0, 538,
		539, 3, 307, 153, 0, 539, 540, 3, 309, 154, 0, 540, 541, 3, 299, 149, 0,
		541, 542, 3, 305, 152, 0, 542, 543, 3, 271, 135, 0, 543, 544, 3, 283, 141,
		0, 544, 545, 3, 279, 139, 0, 545, 546, 3, 307, 153, 0, 546, 68, 1, 0, 0,
		0, 547, 548, 3, 307, 153, 0, 548, 549, 3, 309, 154, 0, 549, 550, 3, 299,
		149, 0, 550, 551, 3, 305, 152, 0, 551, 552, 3, 271, 135, 0, 552, 553, 3,
		283, 141, 0, 553, 554, 3, 279, 139, 0, 554, 70, 1, 0, 0, 0, 555, 556, 3,
		273, 136, 0, 556, 557, 3, 305, 152, 0, 557, 558, 3, 299, 149, 0, 558, 559,
		3, 291, 145, 0, 559, 560, 3, 279, 139, 0, 560, 561, 3, 305, 152, 0, 561,
		72, 1, 0, 0, 0, 562, 563, 3, 271, 135, 0, 563, 564, 3, 293, 146, 0, 564,
		565, 3, 287, 143, 0, 565, 566, 3, 313, 156, 0, 566, 567, 3, 279, 139, 0,
		567, 74, 1, 0, 0, 0, 568, 569, 3, 307, 153, 0, 569, 570, 3, 275, 137, 0,
		570, 571, 3, 285, 142, 0, 571, 572, 3, 279, 139, 0, 572, 573, 3, 295, 147,
		0, 573, 574, 3, 271, 135, 0, 574, 575, 3, 307, 153, 0, 575, 76, 1, 0, 0,
		0, 576, 577, 3, 277, 138, 0, 577, 578, 3, 271, 135, 0, 578, 579, 3, 309,
		154, 0, 579, 580, 3, 271, 135, 0, 580, 581, 3, 273, 136, 0, 581, 582, 3,
		271, 135, 0, 582, 583, 3, 307, 153, 0, 583, 584, 3, 279, 139, 0, 584, 78,
		1, 0, 0, 0, 585, 586, 3, 277, 138, 0, 586, 587, 3, 271, 135, 0, 587, 588,
		3, 309, 154, 0, 588, 589, 3, 271, 135, 0, 589, 590, 3, 273, 136, 0, 590,
		591, 3, 271, 135, 0, 591, 592, 3, 307, 153, 0, 592, 593, 3, 279, 139, 0,
		593, 594, 3, 307, 153, 0, 594, 80, 1, 0, 0, 0, 595, 596, 3, 297, 148, 0,
		596, 597, 3, 271, 135, 0, 597, 598, 3, 295, 147, 0, 598, 599, 3, 279, 139,
		0, 599, 600, 3, 307, 153, 0, 600, 601, 3, 301, 150, 0, 601, 602, 3, 271,
		135, 0, 602, 603, 3, 275, 137, 0, 603, 604, 3, 279, 139, 0, 604, 82, 1,
		0, 0, 0, 605, 606, 3, 297, 148, 0, 606, 607, 3, 271, 135, 0, 607, 608,
		3, 295, 147, 0, 608, 609, 3, 279, 139, 0, 609, 610, 3, 307, 153, 0, 610,
		611, 3, 301, 150, 0, 611, 612, 3, 271, 135, 0, 612, 613, 3, 275, 137, 0,
		613, 614, 3, 279, 139, 0, 614, 615, 3, 307, 153, 0, 615, 84, 1, 0, 0, 0,
		616, 617, 3, 297, 148, 0, 617, 618, 3, 299, 149, 0, 618, 619, 3, 277, 138,
		0, 619, 620, 3, 279, 139, 0, 620, 86, 1, 0, 0, 0, 621, 622, 3, 295, 147,
		0, 622, 623, 3, 279, 139, 0, 623, 624, 3, 309, 154, 0, 624, 625, 3, 305,
		152, 0, 625, 626, 3, 287, 143, 0, 626, 627, 3, 275, 137, 0, 627, 628, 3,
		307, 153, 0, 628, 88, 1, 0, 0, 0, 629, 630, 3, 295, 147, 0, 630, 631, 3,
		279, 139, 0, 631, 632, 3, 309, 154, 0, 632, 633, 3, 305, 152, 0, 633, 634,
		3, 287, 143, 0, 634, 635, 3, 275, 137, 0, 635, 90, 1, 0, 0, 0, 636, 637,
		3, 281, 140, 0, 637, 638, 3, 287, 143, 0, 638, 639, 3, 279, 139, 0, 639,
		640, 3, 293, 146, 0, 640, 641, 3, 277, 138, 0, 641, 92, 1, 0, 0, 0, 642,
		643, 3, 281, 140, 0, 643, 644, 3, 287, 143, 0, 644, 645, 3, 279, 139, 0,
		645, 646, 3, 293, 146, 0, 646, 647, 3, 277, 138, 0, 647, 648, 3, 307, 153,
		0, 648, 94, 1, 0, 0, 0, 649, 650, 3, 309, 154, 0, 650, 651, 3, 271, 135,
		0, 651, 652, 3, 283, 141, 0, 652, 96, 1, 0, 0, 0, 653, 654, 3, 287, 143,
		0, 654, 655, 3, 297, 148, 0, 655, 656, 3, 281, 140, 0, 656, 657, 3, 299,
		149, 0, 657, 98, 1, 0, 0, 0, 658, 659, 3, 291, 145, 0, 659, 660, 3, 279,
		139, 0, 660, 661, 3, 319, 159, 0, 661, 662, 3, 307, 153, 0, 662, 100, 1,
		0, 0, 0, 663, 664, 3, 291, 145, 0, 664, 665, 3, 279, 139, 0, 665, 666,
		3, 319, 159, 0, 666, 102, 1, 0, 0, 0, 667, 668, 3, 315, 157, 0, 668, 669,
		3, 287, 143, 0, 669, 670, 3, 309, 154, 0, 670, 671, 3, 285, 142, 0, 671,
		104, 1, 0, 0, 0, 672, 673, 3, 313, 156, 0, 673, 674, 3, 271, 135, 0, 674,
		675, 3, 293, 146, 0, 675, 676, 3, 311, 155, 0, 676, 677, 3, 279, 139, 0,
		677, 678, 3, 307, 153, 0, 678, 106, 1, 0, 0, 0, 679, 680, 3, 313, 156,
		0, 680, 681, 3, 271, 135, 0, 681, 682, 3, 293, 146, 0, 682, 683, 3, 311,
		155, 0, 683, 684, 3, 279, 139, 0, 684, 108, 1, 0, 0, 0, 685, 686, 3, 281,
		140, 0, 686, 687, 3, 305, 152, 0, 687, 688, 3, 299, 149, 0, 688, 689, 3,
		295, 147, 0, 689, 110, 1, 0, 0, 0, 690, 691, 3, 315, 157, 0, 691, 692,
		3, 285, 142, 0, 692, 693, 3, 279, 139, 0, 693, 694, 3, 305, 152, 0, 694,
		695, 3, 279, 139, 0, 695, 112, 1, 0, 0, 0, 696, 697, 3, 293, 146, 0, 697,
		698, 3, 287, 143, 0, 698, 699, 3, 295, 147, 0, 699, 700, 3, 287, 143, 0,
		700, 701, 3, 309, 154, 0, 701, 114, 1, 0, 0, 0, 702, 703, 3, 303, 151,
		0, 703, 704, 3, 311, 155, 0, 704, 705, 3, 279, 139, 0, 705, 706, 3, 305,
		152, 0, 706, 707, 3, 287, 143, 0, 707, 708, 3, 279, 139, 0, 708, 709, 3,
		307, 153, 0, 709, 116, 1, 0, 0, 0, 710, 711, 3, 303, 151, 0, 711, 712,
		3, 311, 155, 0, 712, 713, 3, 279, 139, 0, 713, 714, 3, 305, 152, 0, 714,
		715, 3, 319, 159, 0, 715, 118, 1, 0, 0, 0, 716, 717, 3, 279, 139, 0, 717,
		718, 3, 317, 158, 0, 718, 719, 3, 301, 150, 0, 719, 720, 3, 293, 146, 0,
		720, 721, 3, 271, 135, 0, 721, 722, 3, 287, 143, 0, 722, 723, 3, 297, 148,
		0, 723, 120, 1, 0, 0, 0, 724, 725, 3, 315, 157, 0, 725, 726, 3, 287, 143,
		0, 726, 727, 3, 309, 154, 0, 727, 728, 3, 285, 142, 0, 728, 729, 3, 313,
		156, 0, 729, 730, 3, 271, 135, 0, 730, 731, 3, 293, 146, 0, 731, 732, 3,
		311, 155, 0, 732, 733, 3, 279, 139, 0, 733, 122, 1, 0, 0, 0, 734, 735,
		3, 307, 153, 0, 735, 736, 3, 279, 139, 0, 736, 737, 3, 293, 146, 0, 737,
		738, 3, 279, 139, 0, 738, 739, 3, 275, 137, 0, 739, 740, 3, 309, 154, 0,
		740, 124, 1, 0, 0, 0, 741, 742, 3, 271, 135, 0, 742, 743, 3, 307, 153,
		0, 743, 126, 1, 0, 0, 0, 744, 745, 3, 271, 135, 0, 745, 746, 3, 297, 148,
		0, 746, 747, 3, 277, 138, 0, 747, 128, 1, 0, 0, 0, 748, 749, 3, 299, 149,
		0, 749, 750, 3, 305, 152, 0, 750, 130, 1, 0, 0, 0, 751, 752, 3, 281, 140,
		0, 752, 753, 3, 287, 143, 0, 753, 754, 3, 293, 146, 0, 754, 755, 3, 293,
		146, 0, 755, 132, 1, 0, 0, 0, 756, 757, 3, 297, 148, 0, 757, 758, 3, 311,
		155, 0, 758, 759, 3, 293, 146, 0, 759, 760, 3, 293, 146, 0, 760, 134, 1,
		0, 0, 0, 761, 762, 3, 301, 150, 0, 762, 763, 3, 305, 152, 0, 763, 764,
		3, 279, 139, 0, 764, 765, 3, 313, 156, 0, 765, 766, 3, 287, 143, 0, 766,
		767, 3, 299, 149, 0, 767, 768, 3, 311, 155, 0, 768, 769, 3, 307, 153, 0,
		769, 136, 1, 0, 0, 0, 770, 771, 3, 299, 149, 0, 771, 772, 3, 305, 152,
		0, 772, 773, 3, 277, 138, 0, 773, 774, 3, 279, 139, 0, 774, 775, 3, 305,
		152, 0, 775, 138, 1, 0, 0, 0, 776, 777, 3, 271, 135, 0, 777, 778, 3, 307,
		153, 0, 778, 779, 3, 275, 137, 0, 779, 140, 1, 0, 0, 0, 780, 781, 3, 277,
		138, 0, 781, 782, 3, 279, 139, 0, 782, 783, 3, 307, 153, 0, 783, 784, 3,
		275, 137, 0, 784, 142, 1, 0, 0, 0, 785, 786, 3, 293, 146, 0, 786, 787,
		3, 287, 143, 0, 787, 788, 3, 291, 145, 0, 788, 789, 3, 279, 139, 0, 789,
		144, 1, 0, 0, 0, 790, 791, 3, 297, 148, 0, 791, 792, 3, 299, 149, 0, 792,
		793, 3, 309, 154, 0, 793, 146, 1, 0, 0, 0, 794, 795, 3, 273, 136, 0, 795,
		796, 3, 279, 139, 0, 796, 797, 3, 309, 154, 0, 797, 798, 3, 315, 157, 0,
		798, 799, 3, 279, 139, 0, 799, 800, 3, 279, 139, 0, 800, 801, 3, 297, 148,
		0, 801, 148, 1, 0, 0, 0, 802, 803, 3, 287, 143, 0, 803, 804, 3, 307, 153,
		0, 804, 150, 1, 0, 0, 0, 805, 806, 3, 283, 141, 0, 806, 807, 3, 305, 152,
		0, 807, 808, 3, 299, 149, 0, 808, 809, 3, 311, 155, 0, 809, 810, 3, 301,
		150, 0, 810, 152, 1, 0, 0, 0, 811, 812, 3, 285, 142, 0, 812, 813, 3, 271,
		135, 0, 813, 814, 3, 313, 156, 0, 814, 815, 3, 287, 143, 0, 815, 816, 3,
		297, 148, 0, 816, 817, 3, 283, 141, 0, 817, 154, 1, 0, 0, 0, 818, 819,
		3, 273, 136, 0, 819, 820, 3, 319, 159, 0, 820, 156, 1, 0, 0, 0, 821, 822,
		3, 281, 140, 0, 822, 823, 3, 299, 149, 0, 823, 824, 3, 305, 152, 0, 824,
		158, 1, 0, 0, 0, 825, 826, 3, 307, 153, 0, 826, 827, 3, 309, 154, 0, 827,
		828, 3, 271, 135, 0, 828, 829, 3, 309, 154, 0, 829, 830, 3, 307, 153, 0,
		830, 160, 1, 0, 0, 0, 831, 832, 3, 309, 154, 0, 832, 833, 3, 287, 143,
		0, 833, 834, 3, 295, 147, 0, 834, 835, 3, 279, 139, 0, 835, 162, 1, 0,
		0, 0, 836, 837, 3, 297, 148, 0, 837, 838, 3, 299, 149, 0, 838, 839, 3,
		315, 157, 0, 839, 164, 1, 0, 0, 0, 840, 841, 3, 287, 143, 0, 841, 842,
		3, 297, 148, 0, 842, 166, 1, 0, 0, 0, 843, 844, 3, 293, 146, 0, 844, 845,
		3, 299, 149, 0, 845, 846, 3, 283, 141, 0, 846, 168, 1, 0, 0, 0, 847, 848,
		3, 301, 150, 0, 848, 849, 3, 305, 152, 0, 849, 850, 3, 299, 149, 0, 850,
		851, 3, 281, 140, 0, 851, 852, 3, 287, 143, 0, 852, 853, 3, 293, 146, 0,
		853, 854, 3, 279, 139, 0, 854, 170, 1, 0, 0, 0, 855, 856, 3, 305, 152,
		0, 856, 857, 3, 279, 139, 0, 857, 858, 3, 303, 151, 0, 858, 859, 3, 311,
		155, 0, 859, 860, 3, 279, 139, 0, 860, 861, 3, 307, 153, 0, 861, 862, 3,
		309, 154, 0, 862, 863, 3, 307, 153, 0, 863, 172, 1, 0, 0, 0, 864, 865,
		3, 305, 152, 0, 865, 866, 3, 279, 139, 0, 866, 867, 3, 303, 151, 0, 867,
		868, 3, 311, 155, 0, 868, 869, 3, 279, 139, 0, 869, 870, 3, 307, 153, 0,
		870, 871, 3, 309, 154, 0, 871, 174, 1, 0, 0, 0, 872, 873, 3, 287, 143,
		0, 873, 874, 3, 277, 138, 0, 874, 176, 1, 0, 0, 0, 875, 876, 3, 307, 153,
		0, 876, 877, 3, 311, 155, 0, 877, 878, 3, 295, 147, 0, 878, 178, 1, 0,
		0, 0, 879, 880, 3, 295, 147, 0, 880, 881, 3, 287, 143, 0, 881, 882, 3,
		297, 148, 0, 882, 180, 1, 0, 0, 0, 883, 884, 3, 295, 147, 0, 884, 885,
		3, 271, 135, 0, 885, 886, 3, 317, 158, 0, 886, 182, 1, 0, 0, 0, 887, 888,
		3, 275, 137, 0, 888, 889, 3, 299, 149, 0, 889, 890, 3, 311, 155, 0, 890,
		891, 3, 297, 148, 0, 891, 892, 3, 309, 154, 0, 892, 184, 1, 0, 0, 0, 893,
		894, 3, 293, 146, 0, 894, 895, 3, 271, 135, 0, 895, 896, 3, 307, 153, 0,
		896, 897, 3, 309, 154, 0, 897, 186, 1, 0, 0, 0, 898, 899, 3, 281, 140,
		0, 899, 900, 3, 287, 143, 0, 900, 901, 3, 305, 152, 0, 901, 902, 3, 307,
		153, 0, 902, 903, 3, 309, 154, 0, 903, 188, 1, 0, 0, 0, 904, 905, 3, 271,
		135, 0, 905, 906, 3, 313, 156, 0, 906, 907, 3, 283, 141, 0, 907, 190, 1,
		0, 0, 0, 908, 909, 3, 307, 153, 0, 909, 910, 3, 309, 154, 0, 910, 911,
		3, 277, 138, 0, 911, 912, 3, 277, 138, 0, 912, 913, 3, 279, 139, 0, 913,
		914, 3, 313, 156, 0, 914, 192, 1, 0, 0, 0, 915, 916, 3, 303, 151, 0, 916,
		917, 3, 311, 155, 0, 917, 918, 3, 271, 135, 0, 918, 919, 3, 297, 148, 0,
		919, 920, 3, 309, 154, 0, 920, 921, 3, 287, 143, 0, 921, 922, 3, 293, 146,
		0, 922, 923, 3, 279, 139, 0, 923, 194, 1, 0, 0, 0, 924, 925, 3, 305, 152,
		0, 925, 926, 3, 271, 135, 0, 926, 927, 3, 309, 154, 0, 927, 928, 3, 279,
		139, 0, 928, 196, 1, 0, 0, 0, 929, 930, 3, 307, 153, 0, 930, 198, 1, 0,
		0, 0, 931, 932, 5, 109, 0, 0, 932, 200, 1, 0, 0, 0, 933, 934, 3, 285, 142,
		0, 934, 202, 1, 0, 0, 0, 935, 936, 3, 277, 138, 0, 936, 204, 1, 0, 0, 0,
		937, 938, 3, 315, 157, 0, 938, 206, 1, 0, 0, 0, 939, 940, 5, 77, 0, 0,
		940, 208, 1, 0, 0, 0, 941, 942, 3, 319, 159, 0, 942, 210, 1, 0, 0, 0, 943,
		944, 5, 46, 0, 0, 944, 212, 1, 0, 0, 0, 945, 946, 5, 58, 0, 0, 946, 214,
		1, 0, 0, 0, 947, 948, 5, 61, 0, 0, 948, 216, 1, 0, 0, 0, 949, 950, 5, 60,
		0, 0, 950, 951, 5, 62, 0, 0, 951, 218, 1, 0, 0, 0, 952, 953, 5, 33, 0,
		0, 953, 954, 5, 61, 0, 0, 954, 220, 1, 0, 0, 0, 955, 956, 5, 62, 0, 0,
		956, 222, 1, 0, 0, 0, 957, 958, 5, 62, 0, 0, 958, 959, 5, 61, 0, 0, 959,
		224, 1, 0, 0, 0, 960, 961, 5, 60, 0, 0, 961, 226, 1, 0, 0, 0, 962, 963,
		5, 60, 0, 0, 963, 964, 5, 61, 0, 0, 964, 228, 1, 0, 0, 0, 965, 966, 5,
		61, 0, 0, 966, 967, 5, 126, 0, 0, 967, 230, 1, 0, 0, 0, 968, 969, 5, 33,
		0, 0, 969, 970, 5, 126, 0, 0, 970, 232, 1, 0, 0, 0, 971, 972, 5, 44, 0,
		0, 972, 234, 1, 0, 0, 0, 973, 974, 5, 123, 0, 0, 974, 236, 1, 0, 0, 0,
		975, 976, 5, 125, 0, 0, 976, 238, 1, 0, 0, 0, 977, 978, 5, 91, 0, 0, 978,
		240, 1, 0, 0, 0, 979, 980, 5, 93, 0, 0, 980, 242, 1, 0, 0, 0, 981, 982,
		5, 40, 0, 0, 982, 244, 1, 0, 0, 0, 983, 984, 5, 41, 0, 0, 984, 246, 1,
		0, 0, 0, 985, 986, 5, 43, 0, 0, 986, 248, 1, 0, 0, 0, 987, 988, 5, 45,
		0, 0, 988, 250, 1, 0, 0, 0, 989, 990, 5, 47, 0, 0, 990, 252, 1, 0, 0, 0,
		991, 992, 5, 42, 0, 0, 992, 254, 1, 0, 0, 0, 993, 994, 5, 37, 0, 0, 994,
		256, 1, 0, 0, 0, 995, 996, 5, 95, 0, 0, 996, 258, 1, 0, 0, 0, 997, 998,
		3, 269, 134, 0, 998, 260, 1, 0, 0, 0, 999, 1001, 3, 267, 133, 0, 1000,
		999, 1, 0, 0, 0, 1001, 1002, 1, 0, 0, 0, 1002, 1000, 1, 0, 0, 0, 1002,
		1003, 1, 0, 0, 0, 1003, 262, 1, 0, 0, 0, 1004, 1006, 3, 267, 133, 0, 1005,
		1004, 1, 0, 0, 0, 1006, 1007, 1, 0, 0, 0, 1007, 1005, 1, 0, 0, 0, 1007,
		1008, 1, 0, 0, 0, 1008, 1009, 1, 0, 0, 0, 1009, 1010, 5, 46, 0, 0, 1010,
		1014, 8, 6, 0, 0, 1011, 1013, 3, 267, 133, 0, 1012, 1011, 1, 0, 0, 0, 1013,
		1016, 1, 0, 0, 0, 1014, 1012, 1, 0, 0, 0, 1014, 1015, 1, 0, 0, 0, 1015,
		1024, 1, 0, 0, 0, 1016, 1014, 1, 0, 0, 0, 1017, 1019, 5, 46, 0, 0, 1018,
		1020, 3, 267, 133, 0, 1019, 1018, 1, 0, 0, 0, 1020, 1021, 1, 0, 0, 0, 1021,
		1019, 1, 0, 0, 0, 1021, 1022, 1, 0, 0, 0, 1022, 1024, 1, 0, 0, 0, 1023,
		1005, 1, 0, 0, 0, 1023, 1017, 1, 0, 0, 0, 1024, 264, 1, 0, 0, 0, 1025,
		1026, 7, 5, 0, 0, 1026, 266, 1, 0, 0, 0, 1027, 1028, 7, 7, 0, 0, 1028,
		268, 1, 0, 0, 0, 1029, 1035, 7, 8, 0, 0, 1030, 1034, 7, 8, 0, 0, 1031,
		1034, 3, 267, 133, 0, 1032, 1034, 7, 9, 0, 0, 1033, 1030, 1, 0, 0, 0, 1033,
		1031, 1, 0, 0, 0, 1033, 1032, 1, 0, 0, 0, 1034, 1037, 1, 0, 0, 0, 1035,
		1033, 1, 0, 0, 0, 1035, 1036, 1, 0, 0, 0, 1036, 1080, 1, 0, 0, 0, 1037,
		1035, 1, 0, 0, 0, 1038, 1039, 5, 36, 0, 0, 1039, 1043, 5, 123, 0, 0, 1040,
		1042, 9, 0, 0, 0, 1041, 1040, 1, 0, 0, 0, 1042, 1045, 1, 0, 0, 0, 1043,
		1044, 1, 0, 0, 0, 1043, 1041, 1, 0, 0, 0, 1044, 1046, 1, 0, 0, 0, 1045,
		1043, 1, 0, 0, 0, 1046, 1080, 5, 125, 0, 0, 1047, 1051, 7, 10, 0, 0, 1048,
		1052, 7, 8, 0, 0, 1049, 1052, 3, 267, 133, 0, 1050, 1052, 7, 11, 0, 0,
		1051, 1048, 1, 0, 0, 0, 1051, 1049, 1, 0, 0, 0, 1051, 1050, 1, 0, 0, 0,
		1052, 1053, 1, 0, 0, 0, 1053, 1051, 1, 0, 0, 0, 1053, 1054, 1, 0, 0, 0,
		1054, 1080, 1, 0, 0, 0, 1055, 1059, 5, 34, 0, 0, 1056, 1058, 9, 0, 0, 0,
		1057, 1056, 1, 0, 0, 0, 1058, 1061, 1, 0, 0, 0, 1059, 1060, 1, 0, 0, 0,
		1059, 1057, 1, 0, 0, 0, 1060, 1062, 1, 0, 0, 0, 1061, 1059, 1, 0, 0, 0,
		1062, 1080, 5, 34, 0, 0, 1063, 1067, 5, 96, 0, 0, 1064, 1066, 9, 0, 0,
		0, 1065, 1064, 1, 0, 0, 0, 1066, 1069, 1, 0, 0, 0, 1067, 1068, 1, 0, 0,
		0, 1067, 1065, 1, 0, 0, 0, 1068, 1070, 1, 0, 0, 0, 1069, 1067, 1, 0, 0,
		0, 1070, 1080, 5, 96, 0, 0, 1071, 1075, 5, 39, 0, 0, 1072, 1074, 9, 0,
		0, 0, 1073, 1072, 1, 0, 0, 0, 1074, 1077, 1, 0, 0, 0, 1075, 1076, 1, 0,
		0, 0, 1075, 1073, 1, 0, 0, 0, 1076, 1078, 1, 0, 0, 0, 1077, 1075, 1, 0,
		0, 0, 1078, 1080, 5, 39, 0, 0, 1079, 1029, 1, 0, 0, 0, 1079, 1038, 1, 0,
		0, 0, 1079, 1047, 1, 0, 0, 0, 1079, 1055, 1, 0, 0, 0, 1079, 1063, 1, 0,
		0, 0, 1079, 1071, 1, 0, 0, 0, 1080, 270, 1, 0, 0, 0, 1081, 1082, 7, 12,
		0, 0, 1082, 272, 1, 0, 0, 0, 1083, 1084, 7, 13, 0, 0, 1084, 274, 1, 0,
		0, 0, 1085, 1086, 7, 14, 0, 0, 1086, 276, 1, 0, 0, 0, 1087, 1088, 7, 15,
		0, 0, 1088, 278, 1, 0, 0, 0, 1089, 1090, 7, 3, 0, 0, 1090, 280, 1, 0, 0,
		0, 1091, 1092, 7, 16, 0, 0, 1092, 282, 1, 0, 0, 0, 1093, 1094, 7, 17, 0,
		0, 1094, 284, 1, 0, 0, 0, 1095, 1096, 7, 18, 0, 0, 1096, 286, 1, 0, 0,
		0, 1097, 1098, 7, 19, 0, 0, 1098, 288, 1, 0, 0, 0, 1099, 1100, 7, 20, 0,
		0, 1100, 290, 1, 0, 0, 0, 1101, 1102, 7, 21, 0, 0, 1102, 292, 1, 0, 0,
		0, 1103, 1104, 7, 22, 0, 0, 1104, 294, 1, 0, 0, 0, 1105, 1106, 7, 23, 0,
		0, 1106, 296, 1, 0, 0, 0, 1107, 1108, 7, 24, 0, 0, 1108, 298, 1, 0, 0,
		0, 1109, 1110, 7, 25, 0, 0, 1110, 300, 1, 0, 0, 0, 1111, 1112, 7, 26, 0,
		0, 1112, 302, 1, 0, 0, 0, 1113, 1114, 7, 27, 0, 0, 1114, 304, 1, 0, 0,
		0, 1115, 1116, 7, 28, 0, 0, 1116, 306, 1, 0, 0, 0, 1117, 1118, 7, 29, 0,
		0, 1118, 308, 1, 0, 0, 0, 1119, 1120, 7, 30, 0, 0, 1120, 310, 1, 0, 0,
		0, 1121, 1122, 7, 31, 0, 0, 1122, 312, 1, 0, 0, 0, 1123, 1124, 7, 32, 0,
		0, 1124, 314, 1, 0, 0, 0, 1125, 1126, 7, 33, 0, 0, 1126, 316, 1, 0, 0,
		0, 1127, 1128, 7, 34, 0, 0, 1128, 318, 1, 0, 0, 0, 1129, 1130, 7, 35, 0,
		0, 1130, 320, 1, 0, 0, 0, 1131, 1132, 7, 36, 0, 0, 1132, 322, 1, 0, 0,
		0, 20, 0, 342, 344, 352, 366, 373, 1002, 1007, 1014, 1021, 1023, 1033,
		1035, 1043, 1051, 1053, 1059, 1067, 1075, 1079, 1, 6, 0, 0,
	}
	deserializer := antlr.NewATNDeserializer(nil)
	staticData.atn = deserializer.Deserialize(staticData.serializedATN)
	atn := staticData.atn
	staticData.decisionToDFA = make([]*antlr.DFA, len(atn.DecisionToState))
	decisionToDFA := staticData.decisionToDFA
	for index, state := range atn.DecisionToState {
		decisionToDFA[index] = antlr.NewDFA(state, index)
	}
}

// SQLLexerInit initializes any static state used to implement SQLLexer. By default the
// static state used to implement the lexer is lazily initialized during the first call to
// NewSQLLexer(). You can call this function if you wish to initialize the static state ahead
// of time.
func SQLLexerInit() {
	staticData := &sqllexerLexerStaticData
	staticData.once.Do(sqllexerLexerInit)
}

// NewSQLLexer produces a new lexer instance for the optional input antlr.CharStream.
func NewSQLLexer(input antlr.CharStream) *SQLLexer {
	SQLLexerInit()
	l := new(SQLLexer)
	l.BaseLexer = antlr.NewBaseLexer(input)
	staticData := &sqllexerLexerStaticData
	l.Interpreter = antlr.NewLexerATNSimulator(l, staticData.atn, staticData.decisionToDFA, staticData.predictionContextCache)
	l.channelNames = staticData.channelNames
	l.modeNames = staticData.modeNames
	l.RuleNames = staticData.ruleNames
	l.LiteralNames = staticData.literalNames
	l.SymbolicNames = staticData.symbolicNames
	l.GrammarFileName = "SQL.g4"
	// TODO: l.EOF = antlr.TokenEOF

	return l
}

// SQLLexer tokens.
const (
	SQLLexerT__0            = 1
	SQLLexerT__1            = 2
	SQLLexerT__2            = 3
	SQLLexerSTRING          = 4
	SQLLexerWS              = 5
	SQLLexerT_CREATE        = 6
	SQLLexerT_UPDATE        = 7
	SQLLexerT_SET           = 8
	SQLLexerT_DROP          = 9
	SQLLexerT_INTERVAL      = 10
	SQLLexerT_INTERVAL_NAME = 11
	SQLLexerT_SHARD         = 12
	SQLLexerT_REPLICATION   = 13
	SQLLexerT_MEMORY        = 14
	SQLLexerT_TTL           = 15
	SQLLexerT_META_TTL      = 16
	SQLLexerT_PAST_TTL      = 17
	SQLLexerT_FUTURE_TTL    = 18
	SQLLexerT_KILL          = 19
	SQLLexerT_ON            = 20
	SQLLexerT_SHOW          = 21
	SQLLexerT_USE           = 22
	SQLLexerT_STATE_REPO    = 23
	SQLLexerT_STATE_MACHINE = 24
	SQLLexerT_MASTER        = 25
	SQLLexerT_METADATA      = 26
	SQLLexerT_TYPES         = 27
	SQLLexerT_TYPE          = 28
	SQLLexerT_STORAGES      = 29
	SQLLexerT_STORAGE       = 30
	SQLLexerT_BROKER        = 31
	SQLLexerT_ALIVE         = 32
	SQLLexerT_SCHEMAS       = 33
	SQLLexerT_DATASBAE      = 34
	SQLLexerT_DATASBAES     = 35
	SQLLexerT_NAMESPACE     = 36
	SQLLexerT_NAMESPACES    = 37
	SQLLexerT_NODE          = 38
	SQLLexerT_METRICS       = 39
	SQLLexerT_METRIC        = 40
	SQLLexerT_FIELD         = 41
	SQLLexerT_FIELDS        = 42
	SQLLexerT_TAG           = 43
	SQLLexerT_INFO          = 44
	SQLLexerT_KEYS          = 45
	SQLLexerT_KEY           = 46
	SQLLexerT_WITH          = 47
	SQLLexerT_VALUES        = 48
	SQLLexerT_VALUE         = 49
	SQLLexerT_FROM          = 50
	SQLLexerT_WHERE         = 51
	SQLLexerT_LIMIT         = 52
	SQLLexerT_QUERIES       = 53
	SQLLexerT_QUERY         = 54
	SQLLexerT_EXPLAIN       = 55
	SQLLexerT_WITH_VALUE    = 56
	SQLLexerT_SELECT        = 57
	SQLLexerT_AS            = 58
	SQLLexerT_AND           = 59
	SQLLexerT_OR            = 60
	SQLLexerT_FILL          = 61
	SQLLexerT_NULL          = 62
	SQLLexerT_PREVIOUS      = 63
	SQLLexerT_ORDER         = 64
	SQLLexerT_ASC           = 65
	SQLLexerT_DESC          = 66
	SQLLexerT_LIKE          = 67
	SQLLexerT_NOT           = 68
	SQLLexerT_BETWEEN       = 69
	SQLLexerT_IS            = 70
	SQLLexerT_GROUP         = 71
	SQLLexerT_HAVING        = 72
	SQLLexerT_BY            = 73
	SQLLexerT_FOR           = 74
	SQLLexerT_STATS         = 75
	SQLLexerT_TIME          = 76
	SQLLexerT_NOW           = 77
	SQLLexerT_IN            = 78
	SQLLexerT_LOG           = 79
	SQLLexerT_PROFILE       = 80
	SQLLexerT_REQUESTS      = 81
	SQLLexerT_REQUEST       = 82
	SQLLexerT_ID            = 83
	SQLLexerT_SUM           = 84
	SQLLexerT_MIN           = 85
	SQLLexerT_MAX           = 86
	SQLLexerT_COUNT         = 87
	SQLLexerT_LAST          = 88
	SQLLexerT_FIRST         = 89
	SQLLexerT_AVG           = 90
	SQLLexerT_STDDEV        = 91
	SQLLexerT_QUANTILE      = 92
	SQLLexerT_RATE          = 93
	SQLLexerT_SECOND        = 94
	SQLLexerT_MINUTE        = 95
	SQLLexerT_HOUR          = 96
	SQLLexerT_DAY           = 97
	SQLLexerT_WEEK          = 98
	SQLLexerT_MONTH         = 99
	SQLLexerT_YEAR          = 100
	SQLLexerT_DOT           = 101
	SQLLexerT_COLON         = 102
	SQLLexerT_EQUAL         = 103
	SQLLexerT_NOTEQUAL      = 104
	SQLLexerT_NOTEQUAL2     = 105
	SQLLexerT_GREATER       = 106
	SQLLexerT_GREATEREQUAL  = 107
	SQLLexerT_LESS          = 108
	SQLLexerT_LESSEQUAL     = 109
	SQLLexerT_REGEXP        = 110
	SQLLexerT_NEQREGEXP     = 111
	SQLLexerT_COMMA         = 112
	SQLLexerT_OPEN_B        = 113
	SQLLexerT_CLOSE_B       = 114
	SQLLexerT_OPEN_SB       = 115
	SQLLexerT_CLOSE_SB      = 116
	SQLLexerT_OPEN_P        = 117
	SQLLexerT_CLOSE_P       = 118
	SQLLexerT_ADD           = 119
	SQLLexerT_SUB           = 120
	SQLLexerT_DIV           = 121
	SQLLexerT_MUL           = 122
	SQLLexerT_MOD           = 123
	SQLLexerT_UNDERLINE     = 124
	SQLLexerL_ID            = 125
	SQLLexerL_INT           = 126
	SQLLexerL_DEC           = 127
)
